Package it.ernytech.tdlib

## Class TdApi.ChatEventAction

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction

Direct Known Subclasses:
  `TdApi.ChatEventDescriptionChanged`, `TdApi.ChatEventInvitesToggled`, `TdApi.ChatEventIsAllHistoryAvailableToggled`, `TdApi.ChatEventMemberInvited`, `TdApi.ChatEventMemberJoined`, `TdApi.ChatEventMemberLeft`, `TdApi.ChatEventMemberPromoted`, `TdApi.ChatEventMemberRestricted`, `TdApi.ChatEventMessageDeleted`, `TdApi.ChatEventMessageEdited`, `TdApi.ChatEventMessagePinned`, `TdApi.ChatEventMessageUnpinned`, `TdApi.ChatEventPhotoChanged`, `TdApi.ChatEventSignMessagesToggled`, `TdApi.ChatEventStickerSetChanged`, `TdApi.ChatEventTitleChanged`, `TdApi.ChatEventUsernameChanged`

Enclosing class:
  TdApi

    public abstract static class TdApi.ChatEventAction
    extends TdApi.Object

This class is an abstract base class. Represents a chat event.

### Constructor Summary

Constructors
`ChatEventAction()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### ChatEventAction

    public ChatEventAction()